<div class="row">
    <div class="col-12">
        <button class="button button--winona button--border-thin button--text-thick button--inverted" data-text="Create New" (click)="create()" ><span>Create New</span></button>
    </div>
</div>
<br>
<table>
  <thead>
    <tr>
      <th style="text-align:left">Name</th>
      <th style="text-align:left">Email</th>
      <th style="text-align:left">Phone</th>
      <th style="text-align:left">Time Slot</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let appointment of appointments">
      <td data-column-label="Name">{{appointment?.patient?.name}}</td>
      <td data-column-label="Age (in human years)">{{appointment?.patient?.email}}</td>
      <td data-column-label="Purring volume"><span>{{appointment?.patient?.phone}}</span></td>
      <td data-column-label="Softness"><span>{{appointment?.appointment_date}} {{appointment?.appointment_time}}</span></td>
    </tr>
    <tr *ngIf="appointments.length ==0">
      <td colspan="5" style="text-align: center;">
        No Appointment.
      </td>
    </tr>
  </tbody>
</table>
